summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Bogdan Pangrati <bogdan.pangrati@gmail.com>2010-05-13 00:42:01 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:42:01 +0200
commit66b5b99cb920d0b08dba12df072d70e37837a350 (patch)
treefb6a44560508be329de5162970039ad0ee119be8 /system
parent50f42bb91b6e58b5a140efafc2382c3837cb5e22 (diff)
downloadslackbuilds-66b5b99cb920d0b08dba12df072d70e37837a350.tar.gz
slackbuilds-66b5b99cb920d0b08dba12df072d70e37837a350.tar.xz
system/tmux: Updated for version 1.1
Diffstat (limited to 'system')
-rw-r--r--system/tmux/tmux.SlackBuild12
-rw-r--r--system/tmux/tmux.info14
2 files changed, 15 insertions, 11 deletions
diff --git a/system/tmux/tmux.SlackBuild b/system/tmux/tmux.SlackBuild
index 25c3c377b6..689ac1accf 100644
--- a/system/tmux/tmux.SlackBuild
+++ b/system/tmux/tmux.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for tmux
-# Copyright 2008-2009 Chess Griffin <chess@chessgriffin.com>
+# Copyright 2009-2010 Bogdan Pangrati <bogdan.pangrati@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tmux
-VERSION=${VERSION:-0.8}
+VERSION=${VERSION:-1.1}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -58,9 +58,11 @@ find . \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+./configure
CFLAGS+="$SLKCFLAGS" make
make install PREFIX=/usr DESTDIR=$PKG
+
# Fix up some root:bin ownership and add owner write perms where needed
chown -R root:root $PKG
chmod 0755 $PKG/usr/bin/tmux
@@ -70,7 +72,7 @@ chmod 0644 $PKG/usr/man/man1/tmux.1
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -86,4 +88,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tmux/tmux.info b/system/tmux/tmux.info
index 369621e770..29107d84ae 100644
--- a/system/tmux/tmux.info
+++ b/system/tmux/tmux.info
@@ -1,8 +1,10 @@
PRGNAM="tmux"
-VERSION="0.8"
+VERSION="1.1"
HOMEPAGE="http://sourceforge.net/projects/tmux"
-DOWNLOAD="http://downloads.sourceforge.net/tmux/tmux-0.8.tar.gz"
-MD5SUM="7292916c1fee6035def1d5f4efdb4770"
-MAINTAINER="Chess Griffin"
-EMAIL="chess@chessgriffin.com"
-APPROVED="dsomero"
+DOWNLOAD="http://downloads.sourceforge.net/tmux/tmux-1.1.tar.gz"
+MD5SUM="faf2fc52ac3ae63d899f6fece2c112cd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Bogdan Pangrati"
+EMAIL="bogdan.pangrati@gmail.com"
+APPROVED="rworkman"